package cn.ibizlab.r7.runtime.core.client.model;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigDecimal;
import java.math.BigInteger;

/**
 * Client 实体 [LoginAccount] 对象
 */
public interface ILoginAccount {

    /**
     * 获取 [确认密码]
     */
    public void setConfirmpwd(String confirmpwd);
    
    /**
     * 设置 [确认密码]
     */
    public String getConfirmpwd();

    /**
     * 获取 [确认密码]脏标记
     */
    public boolean getConfirmpwdDirtyFlag();
    /**
     * 获取 [更新时间]
     */
    public void setUpdateDate(Timestamp updateDate);
    
    /**
     * 设置 [更新时间]
     */
    public Timestamp getUpdateDate();

    /**
     * 获取 [更新时间]脏标记
     */
    public boolean getUpdateDateDirtyFlag();
    /**
     * 获取 [登录账号标识]
     */
    public void setLoginAccountId(String loginAccountId);
    
    /**
     * 设置 [登录账号标识]
     */
    public String getLoginAccountId();

    /**
     * 获取 [登录账号标识]脏标记
     */
    public boolean getLoginAccountIdDirtyFlag();
    /**
     * 获取 [密码]
     */
    public void setPwd(String pwd);
    
    /**
     * 设置 [密码]
     */
    public String getPwd();

    /**
     * 获取 [密码]脏标记
     */
    public boolean getPwdDirtyFlag();
    /**
     * 获取 [建立时间]
     */
    public void setCreateDate(Timestamp createDate);
    
    /**
     * 设置 [建立时间]
     */
    public Timestamp getCreateDate();

    /**
     * 获取 [建立时间]脏标记
     */
    public boolean getCreateDateDirtyFlag();
    /**
     * 获取 [密码修改标记]
     */
    public void setPwdChanged(String pwdChanged);
    
    /**
     * 设置 [密码修改标记]
     */
    public String getPwdChanged();

    /**
     * 获取 [密码修改标记]脏标记
     */
    public boolean getPwdChangedDirtyFlag();
    /**
     * 获取 [最近一次密码变更时间]
     */
    public void setLastPwfChgTime(Timestamp lastPwfChgTime);
    
    /**
     * 设置 [最近一次密码变更时间]
     */
    public Timestamp getLastPwfChgTime();

    /**
     * 获取 [最近一次密码变更时间]脏标记
     */
    public boolean getLastPwfChgTimeDirtyFlag();
    /**
     * 获取 [登录账号名称]
     */
    public void setLoginAccountName(String loginAccountName);
    
    /**
     * 设置 [登录账号名称]
     */
    public String getLoginAccountName();

    /**
     * 获取 [登录账号名称]脏标记
     */
    public boolean getLoginAccountNameDirtyFlag();
    /**
     * 获取 [建立人]
     */
    public void setCreateMan(String createMan);
    
    /**
     * 设置 [建立人]
     */
    public String getCreateMan();

    /**
     * 获取 [建立人]脏标记
     */
    public boolean getCreateManDirtyFlag();
    /**
     * 获取 [是否是超级用户]
     */
    public void setIsSuperUser(String isSuperUser);
    
    /**
     * 设置 [是否是超级用户]
     */
    public String getIsSuperUser();

    /**
     * 获取 [是否是超级用户]脏标记
     */
    public boolean getIsSuperUserDirtyFlag();
    /**
     * 获取 [是否启用]
     */
    public void setEnable(Integer enable);
    
    /**
     * 设置 [是否启用]
     */
    public Integer getEnable();

    /**
     * 获取 [是否启用]脏标记
     */
    public boolean getEnableDirtyFlag();
    /**
     * 获取 [最近一次密码变更人]
     */
    public void setLastpwdchgman(String lastpwdchgman);
    
    /**
     * 设置 [最近一次密码变更人]
     */
    public String getLastpwdchgman();

    /**
     * 获取 [最近一次密码变更人]脏标记
     */
    public boolean getLastpwdchgmanDirtyFlag();
    /**
     * 获取 [更新人]
     */
    public void setUpdateMan(String updateMan);
    
    /**
     * 设置 [更新人]
     */
    public String getUpdateMan();

    /**
     * 获取 [更新人]脏标记
     */
    public boolean getUpdateManDirtyFlag();
    /**
     * 获取 [旧密码]
     */
    public void setOldPwd(String oldPwd);
    
    /**
     * 设置 [旧密码]
     */
    public String getOldPwd();

    /**
     * 获取 [旧密码]脏标记
     */
    public boolean getOldPwdDirtyFlag();
    /**
     * 获取 [用户名称]
     */
    public void setUserName(String userName);
    
    /**
     * 设置 [用户名称]
     */
    public String getUserName();

    /**
     * 获取 [用户名称]脏标记
     */
    public boolean getUserNameDirtyFlag();
    /**
     * 获取 [用户标识]
     */
    public void setUserId(String userId);
    
    /**
     * 设置 [用户标识]
     */
    public String getUserId();

    /**
     * 获取 [用户标识]脏标记
     */
    public boolean getUserIdDirtyFlag();
}
